package com.yinet.system.domain;

import com.yinet.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 节假日对象 holiday
 *
 * @author yinet
 * @date 2019-11-14
 */
public class Holiday extends BaseEntity {

    public Holiday() {
    }

    public Holiday(Integer status) {
        this.status = status;
    }

    public Holiday(String dayTime, Integer status) {
        this.dayTime = dayTime;
        this.status = status;
    }

    private static final long serialVersionUID = 1L;

    /**
     * null
     */
    private Long holidayId;

    /**
     * null
     */
    private String dayTime;

    /**
     * null
     */
    private Integer status;

    public void setHolidayId(Long holidayId) {
        this.holidayId = holidayId;
    }

    public Long getHolidayId() {
        return holidayId;
    }

    public void setDayTime(String dayTime) {
        this.dayTime = dayTime;
    }

    public String getDayTime() {
        return dayTime;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("holidayId", getHolidayId())
                .append("dayTime", getDayTime())
                .append("status", getStatus())
                .toString();
    }
}
